Gecode::SetRel Class Reference

Set relations More...

`#include <minimodel.hh>`

## Public Member Functions

| SetRel (void)
| Default constructor.
| SetRel (const SetExpr &e0, SetRelType srt, const SetExpr &e1)
| Constructor.
| SetRel (const SetCmpRel &r)
| Constructor.
void | post (Home home, bool t) const
| Post propagators for relation (or negated relation if t is false).
void | post (Home home, BoolVar b, bool t) const
| Post propagators for reified relation (or negated relation if t is false).

## Detailed Description

Set relations

Definition at line 1234 of file minimodel.hh.

## Constructor & Destructor Documentation

## SetRel() [1/3]

Gecode::SetRel::SetRel | ( | void |  | ) |

inline

Default constructor.

Definition at line 47 of file set-rel.hpp.

## SetRel() [2/3]

Gecode::SetRel::SetRel | ( | const SetExpr & | e0,
|  | SetRelType | srt,
|  | const SetExpr & | e1 )

inline

Constructor.

Definition at line 50 of file set-rel.hpp.

## SetRel() [3/3]

Gecode::SetRel::SetRel | ( | const SetCmpRel & | r | ) |

inline

Constructor.

Definition at line 54 of file set-rel.hpp.

## Member Function Documentation

## post() [1/2]

void Gecode::SetRel::post | ( | Home | home,
|  | bool | t ) const

inline

Post propagators for relation (or negated relation if t is false).

Definition at line 58 of file set-rel.hpp.

## post() [2/2]

void Gecode::SetRel::post | ( | Home | home,
|  | BoolVar | b,
|  | bool | t ) const

inline

Post propagators for reified relation (or negated relation if t is false).

Definition at line 72 of file set-rel.hpp.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/set-rel.hpp